## gitg 3.30.0

=== libgitg-ext/Makefile ===
TARGETS = libgitg-ext/libgitg-ext-1.0.la
INSTALL_TARGETS = install-libgitg_extexecLTLIBRARIES

include ../sub.mk

=== plugins/Makefile ===
TARGETS =								\
	plugins/diff/libdiff.la						\
	plugins/files/libfiles.la

INSTALL_TARGETS =							\
	install-plugins_files_libfiles_la_pluginexecLTLIBRARIES		\
	install-plugins_diff_libdiff_la_pluginexecLTLIBRARIES

include ../sub.mk

=== tests/gitg/Makefile ===
TARGETS = tests/gitg/test-gitg

include ../../sub.mk

## gitg 0.0.6

=== debian/changelog ===
gitg (0.0.6-3) unstable; urgency=low

  * debian/control: Upped Standards-Version. (no changes)
  * Change source format to 3.0 (quilt).
  * debian/rules: Cleaned up a bit.

 -- Jonny Lamb <jonny@debian.org>  Thu, 13 May 2010 09:33:24 +0100

gitg (0.0.6-2) unstable; urgency=low

  * debian/patches/:
    + 0002-Allow-creating-a-tag-without-a-message.patch: Added. This patch
      has also gone into upstream's git. (Closes: #611434)

 -- Jonny Lamb <jonny@debian.org>  Mon, 01 Mar 2010 10:17:39 +0000

gitg (0.0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/: Refreshed patch.
  * debian/copyright: Removed copyright for libsexy widgets which have
    been removed this release.
  * debian/control: Add versions to some build-deps.
  * debian/rules: Disabled building with silent rules for more interesting
    build logs!

 -- Jonny Lamb <jonny@debian.org>  Sun, 21 Feb 2010 16:37:23 +0000

gitg (0.0.5-1) unstable; urgency=low

  * New upstream release. (Closes: #547384)
  * debian/patches/: Refreshed patch.

 -- Jonny Lamb <jonny@debian.org>  Sat, 19 Sep 2009 12:33:12 +0100

gitg (0.0.4-1) unstable; urgency=low

  * New upsream release. (Closes: #536580)

 -- Jonny Lamb <jonny@debian.org>  Sun, 12 Jul 2009 19:43:04 +0100

gitg (0.0.3-2) unstable; urgency=low

  * debian/control: Add Depends on git-core. (Closes: #535047)

 -- Jonny Lamb <jonny@debian.org>  Mon, 29 Jun 2009 10:21:32 +0100

gitg (0.0.3-1) unstable; urgency=low

  * New upstream release. (Closes: #525520)
  * debian/watch: Updated.
  * debian/patches/:
    + 0002-Initial-patch-to-show-tags-referenced-from-tag-objec.patch: Removed;
      fixed upstream.
  * debian/rules: Removed get-orig-source target.

 -- Jonny Lamb <jonny@debian.org>  Sat, 25 Apr 2009 10:16:58 +0100

gitg (0.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #522919)
    + Timestamp to date string conversion is now valid UTF-8. (Closes: #518705)
    + Fixes to async task cancellation. (Closes: #520922)
  * debian/control: Changed Section to vcs.
  * debian/patches/:
    + 0001-Change-Categories-to-Development-RevisionControl.patch: Added
      to change Categories to Development;RevisionControl. (Closes: 520887)
    + 0001-Terminate-gtk_text_buffer_create_tag-s-arguments-wit.patch: Removed
      as applied upstream.
    + 0002-Initial-patch-to-show-tags-referenced-from-tag-objec.patch: Added
      to show tags referenced from tag objects. (Closes: #521062)
  * debian/watch: Added.

 -- Jonny Lamb <jonny@debian.org>  Thu, 09 Apr 2009 00:44:07 +0100

gitg (0.0.1+20090307.git.99b20ff-2) unstable; urgency=low

  * debian/control:
    + Updated Homepage. (Closes: #519262)
    + Add quilt Build-Dep.
    + Upped Standards-Version. (no changes)
  * debian/update-patches.mk: Added.
  * debian/rules:
    + Include update-patches.mk.
    + Include quilt.make.
    + Added patch and unpatch rule calls.
  * debian/patches/:
    + 0001-Terminate-gtk_text_buffer_create_tag-s-arguments-wit.patch: Added
      to fix call to gtk_text_buffer_create_tag and stop GObject warnings.
      (Closes: #520826)

 -- Jonny Lamb <jonny@debian.org>  Mon, 23 Mar 2009 02:46:13 +0000

gitg (0.0.1+20090307.git.99b20ff-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/copyright:
    + Added copyright information for gitg/sexy-icon-entry.*.
    + Made License fields more unform.
  * debian/README.source: Added.
  * debian/control: Upped Standards-Version.

 -- Jonny Lamb <jonny@debian.org>  Sat, 07 Mar 2009 17:56:12 +0000

gitg (0.0.1+20090221.git.f0710a6-1) unstable; urgency=low

  * Initial release. (Closes: #515154)

 -- Jonny Lamb <jonny@debian.org>  Sat, 21 Feb 2009 15:07:13 +0000

=== debian/control ===
Source: gitg
Section: vcs
Priority: optional
Maintainer: Jonny Lamb <jonny@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, pkg-config, gnome-common, libglib2.0-dev, libgtk2.0-dev (>= 2.16.0), libgtksourceview2.0-dev (>= 2.8), libgconf2-dev
Standards-Version: 3.8.4
Homepage: http://trac.novowork.com/gitg/
Vcs-Git: git://git.jonnylamb.com/git/packaging/gitg.git
Vcs-Browser: http://git.jonnylamb.com/?p=packaging/gitg.git;a=summary

Package: gitg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, git-core
Description: git repository viewer for gtk+/GNOME
 gitg is a fast GTK2 git repository browser for the GNOME desktop.
 It currently features:
 .
  * Loading large repositories very fast
  * Show/browse repository history
  * Show highlighted revision diff
  * Browse file tree of a revision and export by drag and drop
  * Search in the revision history on subject, author or hash
  * Switch between history view of branches easily
  * Commit view providing per hunk stage/unstage and commit

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags += --prefix=/usr \
	--sysconfdir=/usr/share \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--disable-silent-rules

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

include $(CURDIR)/debian/update-patches.mk

build: build-stamp

build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./autogen.sh $(configure_flags)
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/gitg install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_install
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gitg/([\d\.]+)[02468]/gitg-(.*)\.tar\.gz debian uupdate

## gitg 0.1.0

=== debian/changelog ===
gitg (0.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #617674)
  * debian/rules: Call configure, not autogen.sh.
  * debian/watch: Fix watch file. (Closes: #612161)
  * debian/control:
    + Depend on dbus-x11. (Closes: #612449)
    + Change git-core dependency to just git.
    + Updated build-deps for new version.
    + Upped Standards-Version. (no changes)
  * debian/copyright: Updated.
  * debian/patches/:
    + Updated for new release.
    + 0002-Allow-creating-a-tag-without-a-message.patch: Removed as
      applied upstream.
    + 0002-libgitg-make-a-static-library.patch: Added to make libgitg a
      static library instead of shipping it shared.
  * debian/gitg.install: Added.

 -- Jonny Lamb <jonny@debian.org>  Fri, 18 Mar 2011 22:38:26 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: vcs
 Priority: optional
 Maintainer: Jonny Lamb <jonny@debian.org>
-Build-Depends: debhelper (>= 5), autotools-dev, pkg-config, gnome-common, libglib2.0-dev, libgtk2.0-dev (>= 2.16.0), libgtksourceview2.0-dev (>= 2.8), libgconf2-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), autotools-dev, pkg-config, gnome-common, libglib2.0-dev (>= 2.26), libgtk2.0-dev (>= 2.18.0), libgtksourceview2.0-dev (>= 2.8), libgconf2-dev, gsettings-desktop-schemas-dev
+Standards-Version: 3.9.1
 Homepage: http://trac.novowork.com/gitg/
 Vcs-Git: git://git.jonnylamb.com/git/packaging/gitg.git
 Vcs-Browser: http://git.jonnylamb.com/?p=packaging/gitg.git;a=summary
 
 Package: gitg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, git-core
+Depends: ${shlibs:Depends}, ${misc:Depends}, git, dbus-x11
 Description: git repository viewer for gtk+/GNOME
  gitg is a fast GTK2 git repository browser for the GNOME desktop.
  It currently features:

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 build-stamp:
 	dh_testdir
-	CFLAGS="$(CFLAGS)" ./autogen.sh $(configure_flags)
+	CFLAGS="$(CFLAGS)" ./configure $(configure_flags)
 	$(MAKE)
 	touch $@
 
@@ -34,7 +34,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/gitg install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
 binary-indep: build install

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gitg/([\d\.]+)/gitg-(.*)\.tar\.gz debian uupdate

## gitg 0.2.4

=== debian/changelog ===
gitg (0.2.4-0ubuntu1) oneiric; urgency=low

  * New upstream release based on gtk3 (LP: #732782)
  * debian/compat
    - Bump compatibility to 8
  * debian/control
    - Build-depend on GTK3 and GSettings
    - Bump debhelper compatibility to 8
  * debian/patches/0001-Change-Categories-to-Development-RevisionControl.patch
    - Add to POTFILES.skip
  * debian/rules
    - Simplified
  * debian/watch
    - Watch for .bz2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 01 Aug 2011 16:07:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gitg
 Section: vcs
 Priority: optional
-Maintainer: Jonny Lamb <jonny@debian.org>
-Build-Depends: debhelper (>= 5), autotools-dev, pkg-config, gnome-common, libglib2.0-dev (>= 2.26), libgtk2.0-dev (>= 2.18.0), libgtksourceview2.0-dev (>= 2.8), libgconf2-dev, gsettings-desktop-schemas-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonny Lamb <jonny@debian.org>
+Build-Depends: debhelper (>= 8), autotools-dev, pkg-config, gnome-common, libglib2.0-dev (>= 2.26), libgtk-3-dev (>= 3.0.0), libgtksourceview-3.0-dev (>= 3.0.0), gsettings-desktop-schemas-dev
 Standards-Version: 3.9.1
 Homepage: http://trac.novowork.com/gitg/
 Vcs-Git: git://git.jonnylamb.com/git/packaging/gitg.git
@@ -12,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, git, dbus-x11
 Description: git repository viewer for gtk+/GNOME
- gitg is a fast GTK2 git repository browser for the GNOME desktop.
+ gitg is a fast git repository browser for the GNOME desktop.
  It currently features:
  .
   * Loading large repositories very fast

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure_flags += --prefix=/usr \
	--sysconfdir=/usr/share \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--disable-silent-rules

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
endif

include $(CURDIR)/debian/update-patches.mk

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

%:
	dh $@

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gitg/([\d\.]+)/gitg-(.*)\.tar\.bz2 debian uupdate

## gitg 0.2.5

=== debian/changelog ===
gitg (0.2.5-1~exp0) experimental; urgency=low

  * New upstream release [2011-09-01].
  * debian/copyright to copyright-format-1.0 & audit.
  * debian/watch to look for .xz archives.
  * source and .deb files compression to xz.
  * standards to 3.9.4
  * debhelper & compat to version 9.
  * build with all hardening.
  * build with --as-needed to minimise needless linking.
  * run post-build tests but continue on failed ones.
  * install upstream changelog.
  * (Build-)Depends re-formatted and alphabetized.
  * added myself to Uploaders.
  * "autotools-dev" is replaced with "dh-autoreconf" & "intltoolize".
  * install private library instead of linking it statically,
    dropped patch to link statically.
  * dropped obsolete patch [ftbfs].
  * dropped debian/update-patches.mk (not used any more).
  * dropped debian/README.source since it is mostly provides
    instructions how to use git-buildpackage.
  * dropped debian/gbp.conf (new repository is much simpler).
  * desktop file patch is refreshed.
  * new Homepage (Closes: #688116).
  * removed GTK/GNOME from package description (Closes: #672454).
  * new repository at collab-maint (Closes: #672453).

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 30 Sep 2012 12:42:42 +1000

gitg (0.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced deprecated gdk_window_get_pointer API. (Closes: #666232)
    + debian/patches/ftbfs: Added.

 -- wujiang <masterwujiang@gmail.com>  Sun, 29 Apr 2012 13:57:01 +0800

gitg (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Look for tar.bz2 files instead.
  * debian/control: Up build-dep version on gtksourceview.

 -- Jonny Lamb <jonny@debian.org>  Wed, 24 Aug 2011 15:52:46 +0100

gitg (0.2.2-1) unstable; urgency=low

  * New upstream release. (Closes: #623732)
  * debian/control: Add missing dependencies. Thanks to Lubomír Sedlář for
    the hints. (Closes: #618894)
  * debian/patches/: Refresh both patches.
  * debian/control: Update build-dep versions for new release.

 -- Jonny Lamb <jonny@debian.org>  Wed, 24 Aug 2011 14:24:29 +0100

=== debian/control ===
Source: gitg
Section: vcs
Priority: optional
Maintainer: Jonny Lamb <jonny@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, intltool
              ,pkg-config
              ,gnome-common
              ,gsettings-desktop-schemas-dev
              ,libgconf2-dev
              ,libglib2.0-dev (>= 2.26)
              ,libgtk-3-dev (>= 3.0.0)
              ,libgtksourceview-3.0-dev (>= 3.0.0)
Standards-Version: 3.9.4
Homepage: https://live.gnome.org/Gitg
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitg.git
VCS-Git: git://anonscm.debian.org/collab-maint/gitg.git

Package: gitg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,dbus-x11
        ,git
        ,gsettings-desktop-schemas
        ,libdconf0 | gsettings-backend
Description: git repository viewer
 gitg is a fast git repository browser.
 It currently features:
 .
  * Loading large repositories very fast
  * Show/browse repository history
  * Show highlighted revision diff
  * Browse file tree of a revision and export by drag and drop
  * Search in the revision history on subject, author or hash
  * Switch between history view of branches easily
  * Commit view providing per hunk stage/unstage and commit

## gitg 0.2.7

=== debian/changelog ===
gitg (0.2.7-2) unstable; urgency=low

  * Standards to 3.9.5
  * Dropped "libdconf0" from Depends (Closes: #711024).
  * New patch to fix FTBFS (Closes: #740448)
    Thanks, Peter Michael Green.
  * Set myself as Maintainer as requested by Jonny Lamb.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Mar 2014 11:24:55 +1100

gitg (0.2.7-1) unstable; urgency=low

  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 08 May 2013 12:42:26 +1000

gitg (0.2.7-1~exp0) experimental; urgency=low

  * New upstream bugfix release [April 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 07 Apr 2013 10:32:03 +1000

gitg (0.2.6-1~exp0) experimental; urgency=low

  * New upstream release [March 2013].
  * Removed unnecessary versioned Build-Deps.
  * Updated my email address and copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Mar 2013 13:17:54 +1100

=== debian/control ===
Source: gitg
Section: vcs
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, intltool
              ,pkg-config
              ,gnome-common
              ,gsettings-desktop-schemas-dev
              ,libgconf2-dev
              ,libglib2.0-dev (>= 2.26)
              ,libgtk-3-dev
              ,libgtksourceview-3.0-dev
Standards-Version: 3.9.5
Homepage: https://live.gnome.org/Gitg
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitg.git
Vcs-Git: git://anonscm.debian.org/collab-maint/gitg.git

Package: gitg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
        ,dbus-x11
        ,git
        ,gsettings-desktop-schemas
Description: git repository viewer
 gitg is a fast git repository browser.
 It currently features:
 .
  * Loading large repositories very fast
  * Show/browse repository history
  * Show highlighted revision diff
  * Browse file tree of a revision and export by drag and drop
  * Search in the revision history on subject, author or hash
  * Switch between history view of branches easily
  * Commit view providing per hunk stage/unstage and commit

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

%:
	dh $@ --with autoreconf

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)
	intltoolize --copy --force \
        && aclocal

override_dh_auto_configure:
	dh_auto_configure -- \
            --prefix=/usr \
            --libdir=/usr/lib/gitg \
            --sysconfdir=/usr/share \
            --build=$(DEB_BUILD_GNU_TYPE) \
            --disable-silent-rules

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	## continue on failed test(s)
	-dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_builddeb:
	dh_builddeb -- -Zxz

## gitg 3.14.0

=== debian/changelog ===
gitg (3.14.0-1) experimental; urgency=low

  * New upstream release [September 2014].
  * Dropped uupdate from "debian/watch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Oct 2014 00:05:58 +1000

gitg (3.13.91-1) experimental; urgency=low

  * New major upstream release [August 2014] (Closes: #740423).
    + fixed "diff off-by-one line numbering" (Closes: #693430).
  * Build-Depends:
    + gobject-introspection
    + libgee-0.8-dev
    + libgit2-dev
    + libgit2-glib-1.0-dev (>= 0.0.20)
    + libgtkspell3-3-dev
    + libjson-glib-dev
    + libpeas-dev
    + libwebkit2gtk-3.0-dev
    + valac
    + libxml2-utils
  * Added "debian/missing-sources" with uncompressed "jquery-2.0.3.js".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Sep 2014 11:43:39 +1000

gitg (0.2.7-3) unstable; urgency=medium

  * New patch to fix memory leaks.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Mar 2014 03:38:55 +1100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,22 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, intltool
               ,pkg-config
               ,gnome-common
+              ,gobject-introspection
               ,gsettings-desktop-schemas-dev
               ,libgconf2-dev
+              ,libgee-0.8-dev
+              ,libgirepository1.0-dev
+              ,libgit2-dev
+              ,libgit2-glib-1.0-dev (>= 0.0.20)
               ,libglib2.0-dev (>= 2.26)
-              ,libgtk-3-dev
+              ,libgtk-3-dev (>= 3.10)
               ,libgtksourceview-3.0-dev
+              ,libgtkspell3-3-dev
+              ,libjson-glib-dev
+              ,libpeas-dev
+              ,libwebkit2gtk-3.0-dev
+              ,valac
+              ,libxml2-utils
 Standards-Version: 3.9.5
 Homepage: https://live.gnome.org/Gitg
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitg.git

## gitg 3.14.1

=== debian/changelog ===
gitg (3.14.1-1) experimental; urgency=medium

  * New upstream release [December 2014].
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Jan 2015 11:33:43 +1100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
               ,libwebkit2gtk-3.0-dev
               ,valac
               ,libxml2-utils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://live.gnome.org/Gitg
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitg.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/gitg.git

## gitg 3.15.1

=== debian/changelog ===
gitg (3.15.1-0ubuntu2) vivid; urgency=medium

  * New upstream release to cope with the new libgit2-glib 0.22.0

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 14 Apr 2015 11:25:43 -0500

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,17 @@
               ,libgee-0.8-dev
               ,libgirepository1.0-dev
               ,libgit2-dev
-              ,libgit2-glib-1.0-dev (>= 0.0.20)
+              ,libgit2-glib-1.0-dev (>= 0.22.0)
               ,libglib2.0-dev (>= 2.26)
               ,libgtk-3-dev (>= 3.10)
               ,libgtksourceview-3.0-dev
               ,libgtkspell3-3-dev
               ,libjson-glib-dev
               ,libpeas-dev
-              ,libwebkit2gtk-3.0-dev
+              ,libwebkit2gtk-4.0-dev
               ,valac
               ,libxml2-utils
+              ,libsecret-1-dev
 Standards-Version: 3.9.6
 Homepage: https://live.gnome.org/Gitg
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitg.git

## gitg 3.16.1

=== debian/changelog ===
gitg (3.16.1-1) experimental; urgency=low

  * New upstream release [April 2015].
  * Added "gir1.2-peas-1.0" to Depends (Closes: #781271).
    Thanks, Joe Burmeister
  * Build-Depends:
    - libgit2-glib-1.0-dev (>= 0.0.20)
    + libgit2-glib-1.0-dev (>= 0.22.0)
    + libsecret-1-dev
  * Activated "dh_girepository".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Jun 2015 15:39:15 +1000

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
               ,libgtkspell3-3-dev
               ,libjson-glib-dev
               ,libpeas-dev
-              ,libwebkit2gtk-4.0-dev
+              ,libsecret-1-dev
+              ,libwebkit2gtk-3.0-dev
               ,valac
               ,libxml2-utils
-              ,libsecret-1-dev
 Standards-Version: 3.9.6
 Homepage: https://live.gnome.org/Gitg
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitg.git
@@ -31,6 +31,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
         ,dbus-x11
+        ,gir1.2-peas-1.0
         ,git
         ,gsettings-desktop-schemas
 Description: git repository viewer
@@ -45,3 +46,14 @@
   * Switch between history view of branches easily
   * Commit view providing per hunk stage/unstage and commit
 
+#Package: gir1.2-gitg
+#Section: introspection
+#Architecture: any
+#Depends: ${gir:Depends}, ${misc:Depends}, gitg (= ${binary:Version})
+#Description: GObject introspection data for Gitg
+# This package contains Gitg introspection data.
+# With it one can use Gitg API from scripting languages like Python or
+# others.
+# .
+# It can be used by packages using the GIRepository format to generate
+# dynamic bindings.

## gitg 3.17.1

=== debian/changelog ===
gitg (3.17.1-1) experimental; urgency=low

  * New upstream release [August 2015].
  * Switch to "libwebkit2gtk-4" + "webkit2-4.patch" (Closes: #792164).
  * Build-Depends:
    - libgit2-glib-1.0-dev (>= 0.22.0)
    + libgit2-glib-1.0-dev (>= 0.23.4)
    - libwebkit2gtk-3.0-dev
    + libwebkit2gtk-4.0-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 09 Sep 2015 20:06:00 +1000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
               ,libgee-0.8-dev
               ,libgirepository1.0-dev
               ,libgit2-dev
-              ,libgit2-glib-1.0-dev (>= 0.22.0)
+              ,libgit2-glib-1.0-dev (>= 0.23.4)
               ,libglib2.0-dev (>= 2.26)
               ,libgtk-3-dev (>= 3.10)
               ,libgtksourceview-3.0-dev
@@ -19,7 +19,7 @@
               ,libjson-glib-dev
               ,libpeas-dev
               ,libsecret-1-dev
-              ,libwebkit2gtk-3.0-dev
+              ,libwebkit2gtk-4.0-dev
               ,valac
               ,libxml2-utils
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,gir
 
 # use --as-needed only if supported by dh-autoreconf (to simplify backporting)
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gitg/([\d\.]+)/gitg-(.*)\.tar\.xz

## gitg 3.20.1

=== debian/changelog ===
gitg (3.20.1-1) experimental; urgency=medium

  * New upstream release [June 2016].
  * Standards-Version: 3.9.8.
  * Corrected Vcs-Git URL.
  * Modernised Vcs-Browser URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Jul 2016 16:15:42 +1000

gitg (3.20.0-1) experimental; urgency=medium

  * New upstream release [March 2016].
  * Build-Depends:
    = libgit2-glib-1.0-dev (>= 0.24.0)
    = libgtk-3-dev (>= 3.20)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Apr 2016 11:04:25 +1000

gitg (3.19.4-1) experimental; urgency=medium

  * New upstream release [January 2016] (Closes: #809395).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jan 2016 16:42:34 +1100

gitg (3.19.3-1) experimental; urgency=medium

  * New upstream release [December 2015].
  * Build-Depends:
    - libgit2-glib-1.0-dev (>= 0.23.4)
    + libgit2-glib-1.0-dev (>= 0.23.5)
  * Removed obsolete "webkit2-4.patch".
  * Deleted "debian/missing-sources/jquery*".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Dec 2015 14:40:31 +1100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
               ,libgee-0.8-dev
               ,libgirepository1.0-dev
               ,libgit2-dev
-              ,libgit2-glib-1.0-dev (>= 0.23.4)
+              ,libgit2-glib-1.0-dev (>= 0.24.0)
               ,libglib2.0-dev (>= 2.26)
-              ,libgtk-3-dev (>= 3.10)
+              ,libgtk-3-dev (>= 3.20)
               ,libgtksourceview-3.0-dev
               ,libgtkspell3-3-dev
               ,libjson-glib-dev
@@ -22,10 +22,10 @@
               ,libwebkit2gtk-4.0-dev
               ,valac
               ,libxml2-utils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://live.gnome.org/Gitg
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gitg.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/gitg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gitg.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gitg.git
 
 Package: gitg
 Architecture: any

## gitg 3.20.3

=== debian/changelog ===
gitg (3.20.3-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release.
  * debian/control:
    - Depend on default-dbus-session-bus | dbus-session-bus instead of
      dbus-x11 (closes: #835882).

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2016 10:56:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gitg
 Section: vcs
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, intltool
               ,pkg-config
               ,gnome-common
@@ -30,7 +31,7 @@
 Package: gitg
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-        ,dbus-x11
+        ,default-dbus-session-bus | dbus-session-bus
         ,gir1.2-peas-1.0
         ,git
         ,gsettings-desktop-schemas

## gitg 3.22.0

=== debian/changelog ===
gitg (3.22.0-1) experimental; urgency=medium

  * New upstream release [September 2016].
  * Build-Depends:
    = libgit2-glib-1.0-dev (>= 0.24.4)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 16 Oct 2016 02:54:28 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gitg
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, intltool
               ,pkg-config
               ,gnome-common
@@ -12,7 +11,7 @@
               ,libgee-0.8-dev
               ,libgirepository1.0-dev
               ,libgit2-dev
-              ,libgit2-glib-1.0-dev (>= 0.24.0)
+              ,libgit2-glib-1.0-dev (>= 0.24.4)
               ,libglib2.0-dev (>= 2.26)
               ,libgtk-3-dev (>= 3.20)
               ,libgtksourceview-3.0-dev
@@ -31,7 +30,7 @@
 Package: gitg
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-        ,default-dbus-session-bus | dbus-session-bus
+        ,dbus-x11
         ,gir1.2-peas-1.0
         ,git
         ,gsettings-desktop-schemas

## gitg 3.23.0

=== debian/changelog ===
gitg (3.23.0-1) unstable; urgency=medium

  * New upstream release [November 2016].
  * Upload to unstable (Closes: #766461).
  * Replaced "dbus-x11" with "default-dbus-session-bus | dbus-session-bus"
    in "Depends" (Closes: #835882).
  * Orphaned package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Jan 2017 13:12:21 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gitg
 Section: vcs
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, intltool
               ,pkg-config
               ,gnome-common
@@ -30,7 +30,7 @@
 Package: gitg
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-        ,dbus-x11
+        ,default-dbus-session-bus | dbus-session-bus
         ,gir1.2-peas-1.0
         ,git
         ,gsettings-desktop-schemas

## gitg 3.26.0

=== debian/changelog ===
gitg (3.26.0-6) unstable; urgency=medium

  * Drop obsolete debian/source/options
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 15:12:25 -0400

gitg (3.26.0-5) unstable; urgency=medium

  * Drop obsolete Build-Depends on libgconf2-dev
  * Add debian/docs to install NEWS
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Apr 2018 16:43:39 -0400

gitg (3.26.0-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 21:50:28 -0500

gitg (3.26.0-3) unstable; urgency=medium

  * Update Vcs and Homepage fields
  * debian/rules:
    - Drop obsolete rules
    - Force rebuilding from vala source
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 08 Oct 2017 13:49:19 -0400

gitg (3.26.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/gitg.install: Stop installing .vapi and .gir files

 -- Laurent Bigonville <bigon@debian.org>  Thu, 14 Sep 2017 15:04:04 +0200

gitg (3.26.0-1) experimental; urgency=medium

  * New upstream version 3.26.0
  * debian/control: Bump the build-dependencies
  * debian/control: Bump Standards-Version to 4.1.0 (no further changes)
  * Adopt the package in behalf of the Debian GNOME Maintainers team
    (Closes: #851452)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Aug 2017 14:54:31 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gitg
Section: vcs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-common,
               gnome-pkg-tools,
               gobject-introspection,
               gsettings-desktop-schemas-dev,
               intltool,
               libgee-0.8-dev,
               libgirepository1.0-dev,
               libgit2-dev,
               libgit2-glib-1.0-dev (>= 0.26.0),
               libglib2.0-dev (>= 2.38),
               libgtk-3-dev (>= 3.20),
               libgtksourceview-3.0-dev (>= 3.10),
               libgtkspell3-3-dev,
               libjson-glib-dev,
               libpeas-dev,
               libsecret-1-dev,
               libwebkit2gtk-4.0-dev,
               libxml2-utils,
               pkg-config,
               valac
Standards-Version: 4.2.1
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gitg
Vcs-Git: https://salsa.debian.org/gnome-team/gitg.git
Homepage: https://wiki.gnome.org/Apps/Gitg

Package: gitg
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         gir1.2-peas-1.0,
         git,
         gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends}
Description: git repository viewer
 gitg is a fast git repository browser.
 It currently features:
 .
  * Loading large repositories very fast
  * Show/browse repository history
  * Show highlighted revision diff
  * Browse file tree of a revision and export by drag and drop
  * Search in the revision history on subject, author or hash
  * Switch between history view of branches easily
  * Commit view providing per hunk stage/unstage and commit

#Package: gir1.2-gitg
#Section: introspection
#Architecture: any
#Depends: ${gir:Depends}, ${misc:Depends}, gitg (= ${binary:Version})
#Description: GObject introspection data for Gitg
# This package contains Gitg introspection data.
# With it one can use Gitg API from scripting languages like Python or
# others.
# .
# It can be used by packages using the GIRepository format to generate
# dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	find . -name "*_vala.stamp" -print -delete
	dh_autoreconf --as-needed
	intltoolize --copy --force  && aclocal

override_dh_auto_configure:
	dh_auto_configure -- \
            --libdir=/usr/lib/gitg

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

## gitg 3.30.0

=== debian/changelog ===
gitg (3.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Revert "Cherry-pick Drop-default-value-of-non-automatic-property.patch:"

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Oct 2018 10:51:24 +0200

gitg (3.26.0-7) unstable; urgency=medium

  * Cherry-pick Drop-default-value-of-non-automatic-property.patch:
    - fix build with vala 0.42 (Closes: #907950)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 16:19:20 -0400

## gitg 3.30.1

=== meson_options.txt ===
option('glade_catalog', type: 'boolean', value: true, description: 'Install a glade catalog file')
option('python', type: 'boolean', value: true, description: 'Build with python support')
option('deprecations', type: 'boolean', value: false, description: 'warn about deprecated usages')
option('docs', type: 'boolean', value: false, description: 'enable generating documentation')

=== gitg/Makefile ===
TARGETS = gitg/gitg
include ../sub.mk

=== libgitg/Makefile ===
TARGETS = libgitg/libgitg-1.0.la
INSTALL_TARGETS = install-libgitgexecLTLIBRARIES

include ../sub.mk

=== tests/Makefile ===
TARGETS = 				\
	tests/diff-view			\
	tests/progress-bin 		\
	tests/repository-list-box 	\
	tests/libgitg/test-libgitg	\
	tests/gitg/test-gitg

include ../sub.mk

=== plugins/diff/Makefile ===
TARGETS = plugins/diff/libdiff.la
INSTALL_TARGETS = install-plugins_diff_libdiff_la_pluginLTLIBRARIES

include ../../sub.mk

=== plugins/files/Makefile ===
TARGETS = plugins/files/libfiles.la
INSTALL_TARGETS = install-plugins_files_libfiles_la_pluginLTLIBRARIES

include ../../sub.mk

=== tests/libgitg/Makefile ===
TARGETS = tests/libgitg/test-libgitg
include ../../sub.mk

=== debian/changelog ===
gitg (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump minimum libgit2-glib-1.0-dev to 0.27.7
  * Use dh_missing
  * Remove obsolete debian/missing-sources
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0
  * Cherry-pick meson-Bump-libgit-glib-dependency.patch
    - Allow building with libgit2-glib >= 0.27
  * Cherry-pick meson-Add-libdir-on-gitg-s-rpath.patch:
    - Fix build (we use a private libdir for the private .so files)
  * Add dh_shlibdeps override for private gitg libraries

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 08:40:18 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 11),
-               gnome-common,
                gnome-pkg-tools,
                gobject-introspection,
                gsettings-desktop-schemas-dev,
@@ -16,7 +15,7 @@
                libgee-0.8-dev,
                libgirepository1.0-dev,
                libgit2-dev,
-               libgit2-glib-1.0-dev (>= 0.26.0),
+               libgit2-glib-1.0-dev (>= 0.27.7),
                libglib2.0-dev (>= 2.38),
                libgtk-3-dev (>= 3.20),
                libgtksourceview-3.0-dev (>= 3.10),
@@ -26,9 +25,10 @@
                libsecret-1-dev,
                libwebkit2gtk-4.0-dev,
                libxml2-utils,
+               meson (>= 0.46.0),
                pkg-config,
                valac
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gitg
 Vcs-Git: https://salsa.debian.org/gnome-team/gitg.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/gitg

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_shlibdeps:
	dh_shlibdeps -Llibgitg-1.0 -Llibgitg-ext-1.0 -l/usr/lib/gitg

## gitg 3.32.1

=== debian/changelog ===
gitg (3.32.1-deepin2) unstable; urgency=medium

  [ sisungo ]
  * Fixes these bugs that prevents the package to be built:
    - Meson no longer accepts positional arguments for i18n.merge_file
    - Newer system Vala provides a GIO that is incompatible with repo GLib

  [ Tianyu Chen ]
  * Drop unused B-D on libwebkit2gtk-4.0-dev.
  * Add B-D on libsoup2.4-dev.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 19 Sep 2025 15:03:22 +0800

gitg (3.32.1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 17:57:27 +0800

gitg (3.32.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libdazzle-1.0-dev
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop obsolete Build-Depends on intltool
  * Bump minimum meson and libgit2-glib versions
  * Refresh desktop-add-RevisionControl.patch
  * Drop all other patches: applied in new release
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 10:40:24 -0400

gitg (3.30.1-3) unstable; urgency=medium

  * Team upload
  * d/p/GitgHistory.RefRow-Don-t-assume-that-every-GgitSignature-.patch:
    Add patch to fix critical warnings when browsing certain git
    repositories, including libostree and libreswan (Closes: #935136)
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2019 10:56:22 +0100

gitg (3.30.1-2) experimental; urgency=medium

  * Cherry-pick libgitg-Fix-mismatch-of-type-parameter-ownership.patch
    and vala-Avoid-using-struct-as-namespace.patch:
    - Fix build with vala 0.44
  * debian/copyright: The AppStream metadata is licensed CC0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 16:48:59 -0400

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
-               gobject-introspection,
+Uploaders: Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
-               intltool,
+               libdazzle-1.0-dev,
                libgee-0.8-dev,
                libgirepository1.0-dev,
                libgit2-dev,
-               libgit2-glib-1.0-dev (>= 0.27.7),
+               libgit2-glib-1.0-dev (>= 0.27.8),
                libglib2.0-dev (>= 2.38),
                libgtk-3-dev (>= 3.20),
                libgtksourceview-3.0-dev (>= 3.10),
@@ -23,12 +23,12 @@
                libjson-glib-dev,
                libpeas-dev,
                libsecret-1-dev,
-               libwebkit2gtk-4.0-dev,
+               libsoup2.4-dev,
                libxml2-utils,
-               meson (>= 0.46.0),
+               meson (>= 0.48.0),
                pkg-config,
                valac
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gitg
 Vcs-Git: https://salsa.debian.org/gnome-team/gitg.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -21,3 +21,5 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibgitg-1.0 -Llibgitg-ext-1.0 -l/usr/lib/gitg
+
+override_dh_auto_test:

## gitg 41

=== debian/changelog ===
gitg (41-2) unstable; urgency=medium

  * Team upload
  * d/p/meson-drop-unused-argument-for-i18n.merge_file.patch:
    Add patch from upstream to fix FTBFS with Meson 0.61
    (Closes: #1005564)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 15:11:00 +0000

gitg (41-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/control.in: Bump minimum glib and libgit2-glib
  * debian/control.in: Switch from gtksourceview3 to gtksourceview4
  * debian/control.in: Switch from gtkspell to gspell (Closes: #912811)
  * debian/control.in: Drop unused webkit2gtk Build-Depends
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/control.in: Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Jan 2022 11:35:32 -0500

gitg (3.32.1-2) unstable; urgency=medium

  * Cherry-pick two patches to fix build test failures (Closes: #997543)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 12 Dec 2021 13:52:45 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
@@ -15,15 +15,14 @@
                libgee-0.8-dev,
                libgirepository1.0-dev,
                libgit2-dev,
-               libgit2-glib-1.0-dev (>= 0.27.8),
-               libglib2.0-dev (>= 2.38),
+               libgit2-glib-1.0-dev (>= 1.0.0),
+               libglib2.0-dev (>= 2.68),
                libgtk-3-dev (>= 3.20),
-               libgtksourceview-3.0-dev (>= 3.10),
-               libgtkspell3-3-dev,
+               libgtksourceview-4-dev (>= 4.0.3),
+               libgspell-1-dev (>= 1.8.1),
                libjson-glib-dev,
                libpeas-dev,
                libsecret-1-dev,
-               libsoup2.4-dev,
                libxml2-utils,
                meson (>= 0.48.0),
                pkg-config,
